image: python:3.7
stages:
  - test
  - package
job_test_kata:
  stage: test
  script: 
    - pip install pytest # Install pytest dependencies to test your python code
    - pytest FizzBuzzKata/test --junitxml=report.xml
  artifacts:
    when: always
    reports:
      junit: report.xml
job_package_kata:
  stage: package
  script: mv FizzBuzzKata/src/FizzBuzz.py .
  artifacts: # Permit to make an artifact attached to your pipeline
    paths:
      - FizzBuzz.py
    expire_in: 1 week

